> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_getmininginfo.md).

# getmininginfo - Bitcoin Gold

Example code for the getmininginfo json-rpc method. Сomplete guide on how to use getmininginfo json-rpc in GetBlock.io Web3 documentation.

#### Parameters

\-

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "getmininginfo",
"params": [],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": {
        "blocks": 702634,
        "chain": "main",
        "currentblocktx": 0,
        "currentblockweight": 4000,
        "difficulty": 197682.9725910754,
        "networkhashps": 2324661.797680737,
        "pooledtx": 0,
        "warnings": ""
    }
}
```
